/* global modal styles */
.modal{
  z-index: 1000 !important; /* Garante que o modal está no topo desejado */
}

@media (max-width: 500px) {
    .modal{
        z-index: 1100 ;
        height: calc(100% - 60px);
    }
}


.modal-dialog{
    margin: 0 auto !important;
    padding: 0 !important;
    bottom: 10%;
    top: 0;
    left: 0;
    max-width: max-content !important;
    min-height: 800px !important;

}

@media (max-width: 500px) {
    .modal-dialog{
        bottom: 0;
        padding: 10px 10px !important;
        min-height: auto !important;
    }
}

.modal-header{
    background-color: #1E1E1E;
    padding: 0.5rem 1rem;
    justify-content: space-between;
    gap: 15px;
    
}

.modal-header .action-icons-modal{
    display: flex;
    gap: 10px;
}

.modal-header .action-icons-modal img{
    cursor: pointer;
    width: 30px;
}

.modal-header, .modal-body{
    border-bottom: none;
}

.modal-header .info-pastas-modal-container{
    flex: 1;
    gap: 10px;
    overflow-x: hidden;
    display: flex;
}

.modal-header .info-pastas-modal-container .info-pastas-abertas{
    background-color: #555555;
    max-width: 125px;
    display: flex;
    gap: 10px;
    padding: 0 10px;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
}

.modal-header .info-pastas-modal-container .info-pastas-abertas h2 {
    font-size: 1rem;
}

.modal-header .info-pastas-modal-container .info-pastas-abertas button i:hover{
    color: red;
}

.modal-content{
    background-color: #292929;
    width: auto;
    max-width: 1100px;
}

@media (max-width: 500px) {
    .modal-content{
        width: 100% !important;
        height: 100%;
    }
}

.modal-content .modal-body{
    padding: 50px 30px;
}

/* Modais em dev */
.em-dev-container{
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 20px;
}